
Core - Task # 40779

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Arvid Jakobsson Category: Workspaces
Created: 2012-09-09 Assigned To: Arvid Jakobsson
Updated: 2013-12-10 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Sprint Focus:
Subject: Superfluous brackets in the version-sysext after namespaces move
Description

Fix issues such as:

-               if ((!$backRef->cmLevel && $uid > 0) && $GLOBALS['BE_USER']->check('modules', 'web_txversionM1')) {
+               if (!$backRef->cmLevel && $uid > 0 && $GLOBALS['BE_USER']->check('modules', 'web_txversionM1')) {

in Classes/ClickMenu/VersionClickMenu.php

Related issues:
related to Core - Bug # 40113: Superfluous brackets in functions after namesp... Closed 2012-08-24
related to Core - Task # 40774: Superfluous brackets in functions after names... Resolved 2012-09-09

Associated revisions
Revision b2c69149 - 2012-09-10 00:01 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis.

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I42191aed03c4d78ae98d8e0e3d0468c10e11dd0c
Resolves: #40779
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14486
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-09-09 22:31 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14486
#2 - 2012-09-09 23:29 - Christian Kuhn
- Parent task set to #40095

#3 - 2012-09-10 00:01 - Christian Kuhn
- Status changed from Under Review to Resolved
- Target version set to 6.0.0-beta2
- % Done changed from 0 to 100

#4 - 2013-12-10 00:57 - Michael Stucki
- Category changed from Code Cleanup to Workspaces

#5 - 2013-12-10 01:02 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
